#include <gtk/gtk.h>
#include "toolbar.h"
#include "callback.h"
#include "readeasy.h"

GtkWidget *create_toolbar(GtkWidget *window)
{
	GtkWidget* toolbar;
	GtkWidget * iconw;
	GtkWidget* button;
	GtkWidget* fontbutton;
	GtkToolItem* toolitem;
	toolbar=gtk_toolbar_new();
	gtk_toolbar_insert_stock(GTK_TOOLBAR(toolbar),GTK_STOCK_OPEN,"打开","打开一个文件",
				GTK_SIGNAL_FUNC(cb_file_open_activate),sd,-1);
		
	iconw = gtk_image_new_from_file ("image/view_tree.png");
	b_folder=gtk_toolbar_append_element (GTK_TOOLBAR (toolbar),
                                GTK_TOOLBAR_CHILD_TOGGLEBUTTON,
                                NULL,
                                "文件栏",
                                "文件栏",
						  "打开文件栏",
                                iconw,
                                GTK_SIGNAL_FUNC (cb_view_file_activate),
                                "button");
//	gtk_toolbar_insert_stock(GTK_TOOLBAR(toolbar),GTK_STOCK_PREFERENCES,"配置","配置此应用程序",
//				GTK_SIGNAL_FUNC(cb_edit_prefererces_activate),sd,-1);
	
	iconw = gtk_image_new_from_file ("image/start.png");
	b_start =gtk_toolbar_append_element (GTK_TOOLBAR (toolbar),
                                GTK_TOOLBAR_CHILD_TOGGLEBUTTON,
                                NULL,
                                "滚屏",
                                "滚屏",
                                "自动滚屏",
                                iconw,
                                GTK_SIGNAL_FUNC (cb_view_scroll_activate),
                                "button");
					
	b_font=gtk_font_button_new_with_font(sd->conf.fontname);
	g_signal_connect(GTK_OBJECT(b_font),"font-set",
  			G_CALLBACK(on_toolbar_font_set_event),NULL);

	gtk_toolbar_append_widget(GTK_TOOLBAR (toolbar),b_font,"字体","设置字体");
						  					  
	gtk_toolbar_set_style(GTK_TOOLBAR(toolbar),GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_icon_size(GTK_TOOLBAR(toolbar),GTK_ICON_SIZE_SMALL_TOOLBAR);
	return toolbar;
}